<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'ultra_gym_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'ultra-gym' ),
		'priority'   			=> 900,
		'panel'      			=> 'ultra_gym_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'ultra_gym_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'ultra_gym_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'ultra_gym_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'ultra-gym' ),
		'section'    			=> 'ultra_gym_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'ultra_gym_theme_options[copyright_text]', array(
		'selector'            => '.site-info .wrapper',
		'settings'            => 'ultra_gym_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'ultra_gym_copyright_text_partial',
    ) );
}
