<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultra_gym_menu', array(
	'title'             => esc_html__('Header Menu','ultra-gym'),
	'description'       => esc_html__( 'Header Menu options.', 'ultra-gym' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'ultra_gym_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Ultra_Gym_Switch_Control( $wp_customize, 'ultra_gym_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'ultra-gym' ),
	'section'           => 'ultra_gym_menu',
	'on_off_label' 		=> ultra_gym_switch_options(),
) ) );
