<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultra_gym_pagination', array(
	'title'               	=> esc_html__('Pagination','ultra-gym'),
	'description'         	=> esc_html__( 'Pagination section options.', 'ultra-gym' ),
	'panel'               	=> 'ultra_gym_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[pagination_enable]', array(
	'sanitize_callback' 	=> 'ultra_gym_sanitize_switch_control',
	'default'             	=> $options['pagination_enable'],
) );

$wp_customize->add_control( new Ultra_Gym_Switch_Control( $wp_customize, 'ultra_gym_theme_options[pagination_enable]', array(
	'label'               	=> esc_html__( 'Pagination Enable', 'ultra-gym' ),
	'section'             	=> 'ultra_gym_pagination',
	'on_off_label' 			=> ultra_gym_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[pagination_type]', array(
	'sanitize_callback'   	=> 'ultra_gym_sanitize_select',
	'default'             	=> $options['pagination_type'],
) );

$wp_customize->add_control( 'ultra_gym_theme_options[pagination_type]', array(
	'label'               	=> esc_html__( 'Pagination Type', 'ultra-gym' ),
	'section'             	=> 'ultra_gym_pagination',
	'type'                	=> 'select',
	'choices'			  	=> ultra_gym_pagination_options(),
	'active_callback'	  	=> 'ultra_gym_is_pagination_enable',
) );
