<?php
/**
 * Reset options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

/**
* Reset section
*/
// Add reset enable section
$wp_customize->add_section( 'ultra_gym_reset_section', array(
	'title'             => esc_html__('Reset all settings','ultra-gym'),
	'description'       => esc_html__( 'Caution: All settings will be reset to default. Refresh the page after clicking Save & Publish.', 'ultra-gym' ),
) );

// Add reset enable setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[reset_options]', array(
	'default'           => $options['reset_options'],
	'sanitize_callback' => 'ultra_gym_sanitize_checkbox',
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'ultra_gym_theme_options[reset_options]', array(
	'label'             => esc_html__( 'Check to reset all settings', 'ultra-gym' ),
	'section'           => 'ultra_gym_reset_section',
	'type'              => 'checkbox',
) );
